﻿using System.Windows;

namespace WpfGoogleMapClient.Views
{
	/// <summary>
	/// MainWindow.xaml の相互作用ロジック
	/// </summary>
	public partial class MainWindow : Window
	{
		/// <summary>
		/// インスタンスを初期化します。
		/// </summary>
		public MainWindow()
		{
			this.InitializeComponent();
		}

		/// <summary>
		/// ブラウザ オブジェクトに読み込まれているスクリプトを実行します。
		/// </summary>
		/// <param name="scriptName">実行するスクリプト関数の名前。</param>
		/// <param name="args">スクリプト関数に渡すパラメータ。</param>
		public void InvokeScript( string scriptName, params object[] args )
		{
			this._webBrowser.InvokeScript( scriptName, args );
		}
	}


}
